#$Id: Makefile,v 1.4 2005/04/10 11:46:45 feeling Exp $'
CFLAGS= -Wno-deprecated -std=c++14
CPP= g++
GCC= gcc
INCLUDES= -L/usr/lib -I/usr/include/SDL
LIBS= -L/usr/lib -lSDL -lpthread -lSDL_image
all : interface
interface : fenetre.o main.o car.o sdlcommon.o SFont.o
	$(CPP) fenetre.o main.o car.o sdlcommon.o SFont.o -o iface -L/usr/lib -lSDL -lpthread -lSDL_image -Wno-deprecated -std=c++14
fenetre.o : fenetre.cpp
	$(CPP) -c fenetre.cpp -L/usr/lib -I/usr/include/SDL -Wno-deprecated -std=c++14
main.o : main.cpp
	$(CPP) -c main.cpp -L/usr/lib -I/usr/include/SDL -Wno-deprecated -std=c++14
car.o : car.cpp
	$(CPP) -c car.cpp -L/usr/lib -I/usr/include/SDL -Wno-deprecated -std=c++14
sdlcommon.o : sdlcommon.cpp
	$(CPP) -c sdlcommon.cpp -L/usr/lib -I/usr/include/SDL -Wno-deprecated -std=c++14
SFont.o : SFont.c
	$(GCC) -c SFont.c -L/usr/lib -I/usr/include/SDL

#         g++ -c fenetre.cpp -L/usr/lib -I/usr/include/SDL -Wno-deprecated -std=c++14
#         g++ -c main.cpp -L/usr/lib -I/usr/include/SDL -Wno-deprecated -std=c++14
#         g++ -c car.cpp -L/usr/lib -I/usr/include/SDL -Wno-deprecated -std=c++14
#         g++ -c sdlcommon.cpp -L/usr/lib -I/usr/include/SDL -Wno-deprecated -std=c++14
#         gcc -c SFont.c -L/usr/lib -I/usr/include/SDL
#         g++ fenetre.o main.o car.o sdlcommon.o SFont.o -o iface -L/usr/lib -lSDL -lpthread -lSDL_image -Wno-deprecated -std=c++14


#	g++ -c fenetre.cpp -L/usr/lib -I/usr/include/SDL -Wno-deprecated
#	g++ -c main.cpp -L/usr/lib -I/usr/include/SDL -Wno-deprecated
#	g++ -c car.cpp -L/usr/lib -I/usr/include/SDL -Wno-deprecated
#	g++ -c sdlcommon.cpp -L/usr/lib -I/usr/include/SDL -Wno-deprecated
#	gcc -c SFont.c -L/usr/lib -I/usr/include/SDL 
#	g++ fenetre.o main.o car.o sdlcommon.o SFont.o -o iface -L/usr/lib -lSDL -lpthread -lSDL_image -Wno-deprecated

mrproper:
	rm -rf *.o
	rm -rf iface
clean: 
	rm -rf *.o
